aboutsummaryrefslogtreecommitdiff
path: root/scripts/pvscheck.sh
diff options
context:
space:
mode:
authorJustin M. Keyes <justinkz@gmail.com>2019-01-19 12:27:06 +0100
committerJustin M. Keyes <justinkz@gmail.com>2019-01-19 13:04:32 +0100
commit391f0c1ce76fcb83658fccaea343ad216dc01b3c (patch)
tree924dd1f139e47a8f92db0c09e325b374d593ebc6 /scripts/pvscheck.sh
parent8a5c68f6959f8d315adb126ff49fd1970e7e75be (diff)
downloadrneovim-391f0c1ce76fcb83658fccaea343ad216dc01b3c.tar.gz
rneovim-391f0c1ce76fcb83658fccaea343ad216dc01b3c.tar.bz2
rneovim-391f0c1ce76fcb83658fccaea343ad216dc01b3c.zip
pvscheck.sh: do not set --sourcetree-root [ci skip]
System headers should be ignored by PVS, but somehow aren't. See also: https://stackoverflow.com/q/44906903
Diffstat (limited to 'scripts/pvscheck.sh')
-rwxr-xr-xscripts/pvscheck.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/scripts/pvscheck.sh b/scripts/pvscheck.sh
index e3c6681f7a..1c03cd4f87 100755
--- a/scripts/pvscheck.sh
+++ b/scripts/pvscheck.sh
@@ -371,10 +371,10 @@ run_analysis() {(
--output-file PVS-studio.log \
--verbose \
--file build/compile_commands.json \
- --sourcetree-root . || true
+ || true
rm -rf PVS-studio.{xml,err,tsk,html.d}
- local plog_args="PVS-studio.log --srcRoot . --excludedCodes V011 --exclude-path stddef.h --exclude-path stdarg.h"
+ local plog_args="PVS-studio.log --srcRoot . --excludedCodes V011"
plog-converter $plog_args --renderTypes xml --output PVS-studio.xml
plog-converter $plog_args --renderTypes errorfile --output PVS-studio.err
plog-converter $plog_args --renderTypes tasklist --output PVS-studio.tsk
@@ -473,8 +473,6 @@ main() {
return 0
fi
- # set -x
-
if test -n "$patch" ; then
patch_sources "$tgt" "$only_build"
elif test -n "$pvs_install" ; then